package com.tofly.auth.feign.fallback;

import com.tofly.auth.feign.BaseUserLoginService;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.entity.pojo.User;
import lombok.Setter;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

/**
 * @author Administrator
 * @date 2019/9/6  15:53
 */
@Slf4j
@Component
public class BaseUserLoginServiceFallbackImpl implements BaseUserLoginService {
    @Setter
    private Throwable throwable;


    @Override
    public ResultRespone<Boolean> updateUserInfo(User user, String from) {
        log.error("修改用户登录状态信息失败",user,throwable);
        return null;
    }

    @Override
    public ResultRespone<Boolean> updateUserOperationTime(String username) {
        log.error("统计用户登录时长信息失败:{}",username,throwable);
        return null;
    }
}
